Delete Comment Annotations
curl --request POST \
--url https://api.velt.dev/v2/commentannotations/delete \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"locationIds": [
"<string>"
],
"annotationIds": [
"<string>"
],
"userIds": [
"<string>"
],
"agentId": "<string>",
"agentSuggestions": true,
"agentUrls": [
"<string>"
]
}
}
'import requests
url = "https://api.velt.dev/v2/commentannotations/delete"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"locationIds": ["<string>"],
"annotationIds": ["<string>"],
"userIds": ["<string>"],
"agentId": "<string>",
"agentSuggestions": True,
"agentUrls": ["<string>"]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
locationIds: ['<string>'],
annotationIds: ['<string>'],
userIds: ['<string>'],
agentId: '<string>',
agentSuggestions: true,
agentUrls: ['<string>']
}
})
};
fetch('https://api.velt.dev/v2/commentannotations/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.velt.dev/v2/commentannotations/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'organizationId' => '<string>',
'documentId' => '<string>',
'locationIds' => [
'<string>'
],
'annotationIds' => [
'<string>'
],
'userIds' => [
'<string>'
],
'agentId' => '<string>',
'agentSuggestions' => true,
'agentUrls' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-velt-api-key: <x-velt-api-key>",
"x-velt-auth-token: <x-velt-auth-token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.velt.dev/v2/commentannotations/delete"
payload := strings.NewReader("{\n \"data\": {\n \"organizationId\": \"<string>\",\n \"documentId\": \"<string>\",\n \"locationIds\": [\n \"<string>\"\n ],\n \"annotationIds\": [\n \"<string>\"\n ],\n \"userIds\": [\n \"<string>\"\n ],\n \"agentId\": \"<string>\",\n \"agentSuggestions\": true,\n \"agentUrls\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-velt-api-key", "<x-velt-api-key>")
req.Header.Add("x-velt-auth-token", "<x-velt-auth-token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.velt.dev/v2/commentannotations/delete")
.header("x-velt-api-key", "<x-velt-api-key>")
.header("x-velt-auth-token", "<x-velt-auth-token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"organizationId\": \"<string>\",\n \"documentId\": \"<string>\",\n \"locationIds\": [\n \"<string>\"\n ],\n \"annotationIds\": [\n \"<string>\"\n ],\n \"userIds\": [\n \"<string>\"\n ],\n \"agentId\": \"<string>\",\n \"agentSuggestions\": true,\n \"agentUrls\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.velt.dev/v2/commentannotations/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-velt-api-key"] = '<x-velt-api-key>'
request["x-velt-auth-token"] = '<x-velt-auth-token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"organizationId\": \"<string>\",\n \"documentId\": \"<string>\",\n \"locationIds\": [\n \"<string>\"\n ],\n \"annotationIds\": [\n \"<string>\"\n ],\n \"userIds\": [\n \"<string>\"\n ],\n \"agentId\": \"<string>\",\n \"agentSuggestions\": true,\n \"agentUrls\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"result": {
"status": "success",
"message": "Annotations deleted successfully.",
"data": {
"yourAnnotationId": {
"success": true,
"id": "yourAnnotationId",
"message": "Deleted Successfully"
}
}
}
}
Comments Annotations
Delete Comment Annotations
POST
/
v2
/
commentannotations
/
delete
Delete Comment Annotations
curl --request POST \
--url https://api.velt.dev/v2/commentannotations/delete \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"locationIds": [
"<string>"
],
"annotationIds": [
"<string>"
],
"userIds": [
"<string>"
],
"agentId": "<string>",
"agentSuggestions": true,
"agentUrls": [
"<string>"
]
}
}
'import requests
url = "https://api.velt.dev/v2/commentannotations/delete"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"locationIds": ["<string>"],
"annotationIds": ["<string>"],
"userIds": ["<string>"],
"agentId": "<string>",
"agentSuggestions": True,
"agentUrls": ["<string>"]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
locationIds: ['<string>'],
annotationIds: ['<string>'],
userIds: ['<string>'],
agentId: '<string>',
agentSuggestions: true,
agentUrls: ['<string>']
}
})
};
fetch('https://api.velt.dev/v2/commentannotations/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.velt.dev/v2/commentannotations/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'organizationId' => '<string>',
'documentId' => '<string>',
'locationIds' => [
'<string>'
],
'annotationIds' => [
'<string>'
],
'userIds' => [
'<string>'
],
'agentId' => '<string>',
'agentSuggestions' => true,
'agentUrls' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-velt-api-key: <x-velt-api-key>",
"x-velt-auth-token: <x-velt-auth-token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.velt.dev/v2/commentannotations/delete"
payload := strings.NewReader("{\n \"data\": {\n \"organizationId\": \"<string>\",\n \"documentId\": \"<string>\",\n \"locationIds\": [\n \"<string>\"\n ],\n \"annotationIds\": [\n \"<string>\"\n ],\n \"userIds\": [\n \"<string>\"\n ],\n \"agentId\": \"<string>\",\n \"agentSuggestions\": true,\n \"agentUrls\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-velt-api-key", "<x-velt-api-key>")
req.Header.Add("x-velt-auth-token", "<x-velt-auth-token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.velt.dev/v2/commentannotations/delete")
.header("x-velt-api-key", "<x-velt-api-key>")
.header("x-velt-auth-token", "<x-velt-auth-token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"organizationId\": \"<string>\",\n \"documentId\": \"<string>\",\n \"locationIds\": [\n \"<string>\"\n ],\n \"annotationIds\": [\n \"<string>\"\n ],\n \"userIds\": [\n \"<string>\"\n ],\n \"agentId\": \"<string>\",\n \"agentSuggestions\": true,\n \"agentUrls\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.velt.dev/v2/commentannotations/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-velt-api-key"] = '<x-velt-api-key>'
request["x-velt-auth-token"] = '<x-velt-auth-token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"organizationId\": \"<string>\",\n \"documentId\": \"<string>\",\n \"locationIds\": [\n \"<string>\"\n ],\n \"annotationIds\": [\n \"<string>\"\n ],\n \"userIds\": [\n \"<string>\"\n ],\n \"agentId\": \"<string>\",\n \"agentSuggestions\": true,\n \"agentUrls\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"result": {
"status": "success",
"message": "Annotations deleted successfully.",
"data": {
"yourAnnotationId": {
"success": true,
"id": "yourAnnotationId",
"message": "Deleted Successfully"
}
}
}
}
Use this API to delete comment annotations from a document within an organization.
Additional filters can be applied using location IDs, annotation IDs, or user IDs — plus the agent filters (
agentId, agentSuggestions, agentUrls) to scope the delete to agent-authored annotations.
Endpoint
POST https://api.velt.dev/v2/commentannotations/delete
Headers
Your Auth Token.
Body
Params
Show properties
Show properties
When
true, narrows the delete to fresh (still-pending) agent suggestions only. Accepted suggestions are not matched.Agent filters (V2 only, combinable). Unlike the Get Comment Annotations agent filters (one per request), the delete filters are AND-combined:
agentId + agentSuggestions + agentUrls deletes only that agent’s still-pending suggestions on those page(s); each alone deletes all suggestions / all of that agent’s annotations / all agent annotations for those pages respectively. They also intersect with annotationIds when both are supplied.Agent filters require the workspace to have advanced queries enabled — otherwise the request fails with NOT_FOUND (Advanced queries are not enabled...) rather than falling back to a document-wide delete. If none of the supplied agentUrls resolve to a valid page (e.g. blank or fragment-only URLs), the request fails with INVALID_ARGUMENT instead of widening the delete scope.Example Requests
1. Delete annotations by organizationId and documentId
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId"
}
}
2. Delete annotations by organizationId, documentId and locationIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
]
}
}
3. Delete annotations by organizationId, documentId, locationIds and userIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
],
"userIds": [
"yourUserId"
]
}
}
4. Delete annotations by organizationId, documentId and userIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"userIds": [
"yourUserId"
]
}
}
5. Delete annotations by organizationId, documentId and annotationIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
]
}
}
6. Delete annotations by organizationId, documentId, locationIds and annotationIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
],
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
]
}
}
7. Delete annotations by documentId. This will work if the document was created without an organization.
{
"data": {
"documentId": "yourDocumentId"
}
}
8. Delete annotations by documentId and locationIds. This will work if the document was created without an organization.
{
"data": {
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
]
}
}
9. Delete annotations by documentId and userIds. This will work if the document was created without an organization.
{
"data": {
"documentId": "yourDocumentId",
"userIds": [
"yourUserId"
]
}
}
10. Delete annotations by documentId and annotationIds. This will work if the document was created without an organization.
{
"data": {
"documentId": "yourDocumentId",
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
]
}
}
11. Delete annotations by documentId, locationIds, and userIds. This will work if the document was created without an organization.
{
"data": {
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
],
"userIds": [
"yourUserId"
]
}
}
12. Delete annotations by documentId, locationIds, and annotationIds. This will work if the document was created without an organization.
{
"data": {
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
],
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
]
}
}
13. Delete an agent’s still-pending suggestions for specific pages
Combines the agent filters (AND semantics): only annotations authored byspell-check that are still pending suggestions and stamped for one of the listed pages are deleted.
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"agentId": "spell-check",
"agentSuggestions": true,
"agentUrls": [
"https://example.com/pricing"
]
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Annotations deleted successfully.",
"data": {
"yourAnnotationId1": {
"success": true,
"id": "yourAnnotationId",
"message": "Deleted Successfully"
},
"yourAnnotationId2": {
"success": false,
"id": "yourAnnotationId2",
"message": "Annotation not found."
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Annotations deleted successfully.",
"data": {
"yourAnnotationId": {
"success": true,
"id": "yourAnnotationId",
"message": "Deleted Successfully"
}
}
}
}
Was this page helpful?

